TadTools 3.46 (Released 2021-10-06)
====================================
1. Change the font size of the navigation bar from % to rem
2. Add "Add spaces between Chinese and English" and "Convert URL to link" settings.
3. Add BootStrap5
4. Add FooTableBootStrap package


TadTools 3.45 (Released 2021-08-22)
====================================
1.Fix for 2021/07 new version of AA accessibility standard
2.Video.js add flv support
3.Add tmt double frame picker
4.In order to comply with the new version of accessibility, TadUpFiles.php change pdf, mp3, mp4 to mandatory download
5. Fix the problem that the right area does not appear if there is no left block in the single column layout.
6. Add accessibility 2.1 AA auto-correct Wcga function object.


TadTools 3.44 (released on 2021-08-01)
====================================
1.TadDataCenter.php add text to form function (compatible with eguide syntax)
2. Fix the problem that Dtree cannot display correctly if there are special symbols.
3.Comply with 2021/07 new version of AA accessibility standard
4.Video.js add subtitle support


TadTools 3.43 (released 2021-05-27)
====================================
1. Update jquery-ui to 1.12.1
2. change to auto-compatible with Bootstrap3 and Bootstrap4
3. Add auto-login function to QRCode for App download settings on this site (need to wait for App support)
4. Modify the toolbar to comply with Accessibility 2.0
5. Add the variable name of pagination tool to specify the pagination by yourself
6. Allow SweetAlert to support more modes
7. Add new sb3 icons
8. Adjust BootStrap4 templates
9. Fine-tune the layout
10. Fix the problem that the specified type cannot run correctly when uploading files.

TadTools 3.42 (Released 2021-03-25)
====================================
1. Fix the problem that the initial setting of background scenery is incorrectly stored.
2. Fix the problem that the single column layout will have a display error.
3. Fix the problem that BootStrap3 menu does not come out.
4. Add the adaptive logo map of the navigation column.
5. Fix the problem that the file list of TadUpFiles.php is not displayed properly.
6. Fix a possible duplication of TadUpFiles.php security file names.
7. Disable TadUpFiles.php from uploading php files.


TadTools 3.41 (Released 2020-10-30)
====================================
1.Allow TadDataCenter.php to store HTML
2.Upgrade elFinder to 2.1.57 to support jQuery 3.5.1

TadTools 3.4 (Released on 2020-10-24)
====================================
1. Modify the presentation of show_var.tpl to make it easier to read.
2.Add admin_menu_var Manage Menu Template Parameters
3. Add user_menu_var user menu template parameter.
4. Simplify menu_user*.tpl with template parameters.
5. Support unlimited multi-layers with the scenery menu.
6.BootStrap upgrade to 4.5.2
Upgraded jQuery to v3.5.1.
8.Move the preference of whether to pin the navigation bar to tad_themes theme management
9. Use jquery.sticky instead of jquery.pin.

Translated with www.DeepL.com/Translator (free version)


TadTools 3.3.9 (Released on 2020-09-12)
=============================================================
1. Fix the bug in TadModData.php part, and add new function.
2.TadUpFiles.php Add Required Settings
3.Add main_menu_var Main Menu Template Parameters

TadTools 3.3.8 (Released on 2020-06-16)
=============================================================
1. Optimize backend list style
2.New jQuery UI Touch Punch
3. Fix the error when importing files into TadUpFiles.php in strict mode.
4. Fix the problem that BootStrap4 three-column layout will leave blank when the left block or right block is completely empty.
5. Modify TadUpFiles.php to increase the flexibility of using barcode files.
6. If the modified template is below, the block arrangement will not be normal.
7. Added lazy person development framework $TadMod and $TadModData.
8.Modify the deletion problem of TadUpFiles.php.
9. Added Bootstrap4Editable, and Bootstrap3Editable is now auto-compatible with Bootstrap3 and Bootstrap4
10.Adjust logo display method
11. Use Xmf\Request filtering variables instead.

TadTools 3.3.7 (released 2020-04-13)
=============================================================================
1.Remove CKEditor's upload tab and use "Browse and Upload" instead (thanks to geek01)
2. Fix the problem that the background full setting is invalid.
3. Fix the problem of no title in html5()
4. Add the ability to configure sub-files to disable uploads.

TadTools 3.3.6 (released 2020-03-28)
=============================================================================
1. Fix the CSS error in BootStrap3
2.Modify TadUpFiles.php thumbnail transparent background issue
3. Add the Advanced block option to the Welcome menu
4. Support new bg_file type for additional set of themes


TadTools 3.3.5 (released on 2020-03-21)
======================================
1.Adjust the template for the theme
2.Add the missing bootstrap-table.php
3.Modify TadUpFiles.php cannot import thumbnail when importing files

TadTools 3.3.4 (released on 2020-03-14)
======================================
1. Correction for accessibility 2.0 AA standard

TadTools 3.3.3 (released 2020-03-05)
======================================
1. Streamline Video-JS and add settings such as auto play, repeat play, list position ...
2. Added xoops_security_check() form security check tool
3. Modify Bootstrap3Editable
4. Fix the problem that the attached picture cannot be rotated
5. Fix the problem that registration verification will fail
6. Fixed the problem that some of the sample paths of BootStrap4 are incorrect
7. Remove old versions of PHPExcel and PHPWord
8. Move the menu and slide folders in themes3_tpl, themes4_tpl to themes_common
9. Add DataList Class


TadTools 3.3.2 (released from 2019-10-16)
=============================================
1. Fixed the problem that the background initialization setting part of the scene could not "apply BootStrap color"
2. Streamline the template and fill in the missing template for themes4_tpl
3. Fixes Easy-Responsive-Tabs tabs sometimes show confusing issues under chrome
4. Join Video-JS to replace JWPlayer


TadTools 3.3.1 (released from 2019-09-23)
=============================================
1. Modify TadUpFiles.php to automatically determine if you need to check the file format and cancel the MIME-Type preferences.
2. Fix the problem that the navigation column position is incorrect.
3. If the navigation bar option does not set the URL, the link will be cancelled to avoid accidental pressing.
4. Modify the tcpdf output file name is not correct
5. Fixed an issue where the initial settings of the background sometimes incorrectly set.
6. Extended custom interface_menu support to two layers
7. Support automatic application of logo function
8. The navigation bar supports the function of "Do not display back to the home page"
9. Fixed the problem that the single-column left area template is incorrect.
10. Added dd() debug tool
11. Solve the problem of StarRating and MySQL
12. Add CodeMirror

TadTools 3.3 (released from 2019-08-05)
=============================================
1. Change the login settings of the navigation bar from tad_themes
2. Fix the problem that the logo will be blocked by the menu.
3. Beautify the App installation block

TadTools 3.2.9 (released from 2019-07-23)
=============================================
1. Fix BootStrap4 Close the website template
2. Add App Download Settings Block

TadTools 3.2.8 (released from 2019-06-17)
=============================================
1. Fixed CKEdtor unable to break into multimedia problems
2. Fine-tuning the background style
3. Modify the TreeTable style


TadTools 3.2.7 (released from 2019-06-13)
=============================================
1. Fix mk_dir() function error
2. Added Utility::get_version() version checking tool
3. Add Utility::add_migrate() to the jquery migrate tool
4. Strengthen the security of video.php, upload.php
5. Fix TCPDF Suite issues


TadTools 3.2.6 (released from 2019-05-09)
=============================================
1. Upgrade tcpdf to version 6.2.26
2. Remove the jBreadCrumb kit
3. Upgrade class.upload.php to 0.35-dev
4. Plus the preference for mime type check when the file upload can be closed.
5. Fix the Easy-Responsive-Tabs tab cannot apply color issues
6. Add phpseclib package
7. Add namespace and objectize common functions
8. Support XOOPS 2.5.10

TadTools 3.2.5 (released from 2019-03-24)
=============================================
1. Adjust the coding judgment to avoid transcoding failure

TadTools 3.2.4 (released from 2019-03-19)
=============================================
1.TadUpFiles.php new download permission setting mechanism
2. Modify non-administrator can not delete the attachment problem
3. Add the bootstrap-table kit
4. Put back bootstrap2
5. Update phpExcel and phpWord objects


TadTools 3.2.3 (released from 2019-01-23)
=============================================
1. Remove the summernote editor
2. Fix CKEditor can't upload the problem
3. Add editor image upload auto thumbnail mechanism
4. Remove files with doubts
5. Fixed the problem that the BootStrap3 set could not display the screen correctly in some modules.

TadTools 3.2.2 (released from 2019-01-20)
=============================================
1. Patch the vulnerabilities that can be used to delete files arbitrarily
2. Fix the problem that the navigation window opens a new window and the pop-up window is invalid.

TadTools 3.2.1 (released from 2019-01-01)
=============================================
1. Remove CKEditor's jwplayer plugin
2. Support BootStrap4
3. Support PHP 7.3


TadTools 3.2 (released on 2018-08-23)
=============================================
1. CKEditor joins the CodeSnippet button
2. Block title file can use the block title setting of the scene management when using [img]

TadTools 3.1.9 (released on 2018-06-08)
====================================
1. Strict mode of supporting database
2. The menu is not readable group is regarded as open
3. Modify the use of module preferences to avoid conflicts with other modules
4. File download section, if the PHP version is 5.5 or higher, the stream format will be automatically changed to save memory
5. Add navbar text size settings
6. Shadows appear automatically when the navbar is locked


TadTools 3.1.8 (released on 2018-05-14)
====================================
1. Added js cookie 2.2.0
2. Modify Easy-Responsive-Tabs Kit to Support Cookies
3. Menu array variable to add readable group settings
4. Increase ttf,ttc,otf format
5. Added tadnews app related files (thanks geek01)
6. Remove the tchinese Big5 language


TadTools 3.1.7 (released on 2018-03-20)
====================================
1. Improve TadDataCenter compatibility, supporting PHP 5.4 and later versions
2. Accessibility 2.0 Level A correction
3. Updated jquery qtip2 to version 3.0.3
4. Fixed an issue where jquery.validationEngine.js was not valid in the new version of jquery
5. TadDataCenter add custom form function
6. TadUpFiles.php adds various file format restrictions (thanks to geek01)
7. Added setup_meta() function


TadTools 3.1.6 (released on 2018-02-13)
====================================
1. Modify the navigation template to make it support the common template option distance settings
2. Closing the login menu will hide the registration options


TadTools 3.1.5 (released on 2018-02-11)
====================================
1. jquery.validationEngine.js updated to 2.6.2 revised
2. Modify the Easy-Responsive-Tabs package to support nested tabs
3. Scene title map adaptive
4. Add Adaptive Forms CSS

TadTools 3.1.4 (released on 2017-01-27)
====================================
1. Add TIFF upload format
2. Modify the admin interface style
3. New mobile device detection mechanism
4. Increase the responsive table css
5. TadUpFiles.php add more file information
6. Add Personal ID number verification

TadTools 3.1.3 (released on 2017-11-02)
====================================
1. Connect all the sliding images to the new window function [url_blank] URL [/ url_blank]
2. Fix the file download link
3. Remove the useless PFBC


TadTools 3.1.2 (released on 2017-10-12)
====================================
1.[pic] and [icon] support full link image


TadTools 3.1.1 (released on 2017-10-03)
====================================
1. Upgrade the fullcalendar to 3.5.1
2. Remove the elrte editor


TadTools 3.1 (released on 2017-09-25)
====================================
1. thumbnail changed to full map presentation
2. Modify the meta tag for the common template
3. Remove unnecessary validation syntax
4. Change codemirror to preferences can be turned off or enabled
5. Adjust the thumbnail width, zoom in and set it square
6. Remove jquery-migrate
7. solve jquery.jgrowl problem
8. Upgrade My97DatePicker to version 4.8
9. Add new phpWord and phpExcel


TadTools 3.09 (released on 2017-06-16)
====================================
1. Added framework7
2.Completion of accessibility 2.0 A-level detection
3. Update ResponsiveSlides to 1.5.5


TadTools 3.08 (released on 2017-05-05)
====================================
1. Upgrade SmartMenu to the latest version
2. logo support plain text
3. The video playback default ratio is changed to 16: 9


TadTools 3.07 (released on 2017-04-20)
====================================
1. Modify the TCPDF preset font
2. Improve https compatibility
3. Join the TadDataCenter class
4. Upload and add gcode format support
5. Join tn_login support
6. Remove all common templates in .html format
7. Optimize the scenery model


TadTools 3.06 (released on 2017-03-17)
====================================
1.Fixed the problem of col-md-failure in BootStrap.
2.Upgrade all BootStrap3 themes.


TadTools 3.05 (released on 2017-03-15)
====================================
1. Adjust the facebook tag
2. Let elfinder support Chinese folders and file names
3. Correct the three-column layout in some cases will not be normal


TadTools 3.04 (released on 2017-03-13)
====================================
1. Fixed the CKEditor editor could not upload a file other than the image
2. Upgrade elFinder to 2.1.22
3. Modify the left side of the block in the small screen will automatically pull to the right
4. Fixed upload file if the encryption will not be able to download the problem


TadTools 3.03 (released on 2017-03-02)
====================================
1. Fix the TadUpFiles.php file name encryption function
2. Modify the menu bar to enter the icon for the admin area
3. Add the "Update" button to the module toolbar
4. Update fontawesome to 4.7.0


TadTools 3.02 (released on 2017-02-17)
====================================
1. Upload to join mp4, m4v, m4a, webm, oggvogv and other formats
2. PHPWord new indentation function
3. TadUpFiles.php add text link function


TadTools 3.01 (released on 2017-01-20)
====================================
1. Upgrade qtip to 3.0
2. phpExcel upgrade to 1.8.1 to support PHP7
3. Upload to join svg format


TadTools 3.0 (released on 2017-01-07)
====================================
1. Change the col-md of boootstrap to col-sm
2. elFinder upgrade to 2.1.19
3. Add tpl formate template files


TadTools 2.9.9 (released on 2016-12-08)
====================================
1. get_xoops_url() add https support
2. Modify elFinder unable to upload the chinese file name problem
3. Upload to join 7z, ufo, sb, sb2 and other formats

TadTools 2.9.8 (released on 2016-10-07)
====================================
1. Upgrade the BootStrap to 3.3.7
2. Fix the problem that My97DatePicker suite can not be used
3. Upgrade the tinymap to 3.4.5
4. Remove the jupload suite
5. Remove the footable-bootstrap package


TadTools 2.9.7 (released on 2016-09-30)
====================================
1. Add the pannellum kit
2. Added Tab UpFiles 2.php to support the 360 Photo Attachment
3. Update Social Likes to 3.1.1
4. Adjust the login block

TadTools 2.9.6 (released on 2016-06-18)
====================================
1. Modify the comment templates
2. New Easy-Responsive-Tabs Kit


TadTools 2.9.5 (released on 2016-06-16)
====================================
1.Add modules common templates
2.Add themes common languages
3.Optimization profile user accounts layout


TadTools 2.9.4 (released on 2016-06-15)
====================================
1.Fix template file
2.CKEditor added CodeMirror
3.Upload support self-extracting archive


TadTools 2.9.3（2016-06-05)
====================================
1.Support XOOPS 2.5.8
2.Change PageBar to BootStrap3
3.The bug that the administrator can not sign in when the site is down has been fixed.
4.exe file upload support
5.CKEditor update to version 4.5.9, and the problems about can not be corrected using the paste function has been fixed.


TadTools 2.9.2 (released on 2016-05-26)
====================================
1.Removed BootStrap2 code


TadTools 2.9.1 (released on 2016-05-20)
====================================
1.Fixed some language
2.Set min-height to video
3.Upgrade JW Player to 7.4.2 nad add playlist


TadTools 2.9 (released on 2016-05-17)
====================================
1.Fixed some code for PHP7
2.Modify BootStrap3 templates
3.Auto update database


TadTools 2.8.9 (released on 2016-05-16)
====================================
1.Add fontawesome plugin for CKeditor
2.Removed all BootStrap2 configuation
3.Modify BootStrap3 templates
4.Fixed some code for PHP7


TadTools 2.8.8 (released on 2016-04-13)
====================================
1.Fixed site can not automatically determine the bootstrap version sometimes
2.upgrade font-awesome to 4.6.1


TadTools 2.8.7 (released on 2016-04-08)
====================================
1.Fix $TadUpFiles can't update file information
2.Upgrade bootstrap to 3.3.6
3.Modify the slide text size
4.Upgrade JWPlayer to 6.12
5.Delete jwplayer.php and mediaplayer folder
6.Add SPRUTO Player
7.Incorrect toolbar permissions
8.CKeditor add some new function

TadTools 2.8.6 (released on 2016-01-21)
====================================
1.$TadUpFiles add set_diles_sn() function


TadTools 2.8.5 (released on 2016-01-20)
====================================
1. Add smoothslides
2. $TadUpFiles added uploaded image management capabilities


TadTools 2.8.4 (released on 2016-01-10)
====================================
1. Automatic include font-awesome
2. $TadUpFiles added Keyword filtering

TadTools 2.8.3 (released on 2016-01-04)
====================================
1. Add jquery-print-preview Print preview
2. Add CKEditor picture rotary tool and pagination tools
3. Modify $TadUpFiles bootstrap problem


TadTools 2.8.2 (released on 2015-12-17)
====================================
1. Improved $TadUpFiles file editing and presentation interface
2. Adjust the default error screen
3. Add Easy-Responsive-Tabs


TadTools 2.8.1 (released on 2015-12-01)
====================================
1.Upgrade font-awesome to 4.5.0
2.Modify File display layout
3.Add facebook meta
4.Add picture rotation function


TadTools 2.8 (released on 2015-11-04)
====================================
 1.Add tcpdf
 2.Remove new jgrowl


 TadTools 2.7.9 (released on 2015-10-30)
====================================
 1.Add mp3 online playback


TadTools 2.7.8 (released on 2015-10-26)
====================================
 1.Fixed fck.php
 2.Update summernote to 0.6.16


TadTools 2.7.7 (released on 2015-10-23)
====================================
 1.tad_function.php add html5() and web_error() function.
 2.CKEditor remove autogrow, mathedit and add quicktable.
 3.Add fullcalendar.
 4.Modify ResponsiveSlides.php

TadTools 2.7.6 (released on 2015-10-21)
====================================
 1.Fixed get_menu_var.html
 2.Fixed footable.php
 3.CKeditor upgrade to 4.5.4
 4.Fixed video.php

TadTools 2.7.5 (released on 2015-10-16)
====================================
  1.CK editor set new CSS features and new uploadcare element
  2. Fixed jquery problem
  3. Add the new FooTable-Bootstrap
  4. New uploadcare public key preferences (there are set to use)

TadTools 2.7.4 (released on 2015-09-02)
====================================
 1.font-awesome update to 4.4.0
 2.Modify menu template

TadTools 2.7.3 (released on 2015-08-02)
====================================
 1. Fix jquery load issue
 2. Fix stickytableheaders path


TadTools 2.7.2 (released on 2015-08-02)
====================================
 1.Fixed the bug about elFinder can't delete file.
 2.Fixed the bug that boostrap3 navbar third layer option can't link.
 3.Remove jquery.js rom common template avoid duplication
 4.Solve the problem that the theme can not be automatically loaded bootstrap.

TadTools 2.7.1 (released on 2015-07-19)
====================================
 1.Fixed site is not working properly after the update module.
 2.Removed margin css in tadtools/themes3_tpl/centerZone.html.

TadTools 2.7 (released on 2015-07-13)
====================================
 1.Fixed part of the common template layout in HTML mode will not correct situations occur
 2.Fixed logo.html more than a > symbol problem.
 3.Fixed when using bootstrap3, navigation bar will be more than an inverted triangle problem.
 4.Fixed the English language
 5.OpenID login move tad_login two preferences module preferences
 6.cssmenu and nav-pills navigation bar to join Login Form
 7.Fixed fancy_box js syntax

TadTools 2.69 (released on 2015-06-30)
====================================
 1.Fixed some bug.
 2.Fixed theme kind issue.
 3.Adjust accesskey position.
 4.Fixed PHP code style
 5.Fixed ztree srag to sort issue
 6.Added template_common folder.


TadTools 2.68 (released on 2015-05-26)
====================================
 1. Amend login logout, bootstrap version determining misalignment problems.
 2. Fixed colorbox width not set correctly.
 3. Verify that one more field "in the alphanumeric" rule
 4. CKEditor added bootstrap support
 5. Add ztree 3.5 tree kit


TadTools 2.67 (released on 2015-05-05)
====================================
 1. Fixed jwplayer_new.php playlist movie can not solve the problem.
 2. colorbox added length and width auto adjustment function
 3. Fix bootstrap3 button background will become transparent background problem
 4. Update jquery-ui to 1.11.4
 5. Update facebook Guestbook to the latest version, and in chronological order
 6. Composition Join guide brick, accesskey and other Web Accessibility mechanism
 7. Toolbar menu function added to produce the module's json file for site map module reads


TadTools 2.66 (released on 2015-03-23)
====================================
 1. Modify the initial set back, in most cases you can not select "Apply BootStrap color" issue options.



TadTools 2.65 (released on 2015-03-21)
====================================
 1. Add mColorPicker.php color picker
 2. Introduction jquery.jgrowl.js 1.4.2 replace the old version to make it official that can be used jquery 1.9.x
 3.bubblepopup qtip2 instead replace it, to support the new version of jquery
 4. Modify bubblepopup.php, ckcal.php, ck.php, dtree.php, elrte.php, fancybox.php, fck.php, flexslider2.php, FooTable.php, formValidator.php, jBreadCrumb.php, jeditable.php , jquery.php, jquery_pin.php, jwplayer.php, jwplayer_new.php, lofslidernews.php, star_rating.php, stickytableheaders.php, sweet_alert.php, syntaxhighlighter.php, treetable.php be introduced inside the CSS and JavaScript the way, change XOOPS standard introduces a way, which can effectively reduce the grammar and avoid conflicting programs.
 5. Remove TinyNav, jquery.form, jquery.qrcode, ztree and other useless packages
 6. New QR Code blocks can be used in all pages.
 7. New summernote editor (for mobile devices)
 8.CKeditor now automatically determine whether the mobile device, and if so, then automatically switch to Summernote editor (CKeditor currently not available in mobile devices)
 9. The background scenery setting interface, so that each can apply different sets BootStrap color
 10. Delete bsie Kit
 11.tadtools complete bootstrap3 interface


TadTools 2.64 (released on 2015-02-25)
====================================
 1.font-awesome updated to 4.3.0
 2. Fix $ TadUpFiles problem can not be downloaded


TadTools 2.63 (released on 2015-01-22)
====================================
 1. Update the social-likes kit 3.0.7
 2. Add BootStrap3
 3. For BootStrap3 new common template theme3_tpl
 4. New smartmenus-0.9.7 to resolve the issue only two of BootStrap3 drop-down menu
 5. Fixed facebook message box width can not be 100% of the issue
 6. darkstrap move to \ bootstrap \ themes \ dark \ darkstrap
 7. New BootStrap3 many sets
 8.font-awesome updated to 4.2.0
 9. Remove Buttons and iCheck
 10. The new sweet-alert feature


TadTools 2.62 (released on 2014-11-11)
====================================
 1. Add syntaxhighlighter 2.1.382
 2. Add syntaxhighlighter versions election preferences
 3. Add sweet-alert kit
 4. Fixed cssmenu common template, so that can be applied to set the background color of the navigation bar
 5. fixed the problem tree icon disappears
 6. New nav-pills common template menu



TadTools 2.61 (released on 2014-10-24)
====================================
 1. Fixed lofslidernews.php to conform to accessibility specifications
 2. Amendments to conform to accessibility specifications dtree
 3. Add phpWord merged cell function
 4. Fixed my_js.html, to avoid the impact of the other buttons
 5. Update syntaxhighlighter to version 2.1.382, language and padded deleted before
 6. Add syntaxhighlighter Preferences


TadTools 2.6 (released on 2014-09-23)
====================================
 1. jquery down version is 1.8.3, in order to increase the compatibility of the old jquery
 2. Fixed the bug StickyTableHeaders path capitalization errors
 3. Update to version 1.11.0 jquery ui
 Question 4. amendments slideshow_responsive.html exclusive setting menu function can not be correctly displayed banners
 5. Update jquery cookie to version 1.4.1
 6. setting variables added slide_url, to support the added site functionality
 7. Fixed amazingslider1.html make support slide image URL function
 8. Update slide graphic preset text
 9.fancybox2 new peripheral avoid clicking shutdown parameters
10. The background font size to 12px
11. New Database menu link
12. When the installation sets, automatically determine whether the required load bootstrap
13. Fixed menu language will not catch the problem Sometimes
14. A new navigation bar is displayed login option Preferences
15. Open TadTools Front office features (in order to play video files uploaded)
16. adjust the set of variables to render the page, making it easier to read
$ 17. TadUpFiles added set_fancybox (), may decide whether to apply fancybox
$ 18. TadUpFiles added set_download_url (), can be loaded at the path they want to download
19. The increase in three graphic slide common template
20. Modify menu.html position to make more consistent with other menu
21. New superfish menu function
22.fancybox join AutoPlay feature
23. $ TadUpFiles add images Autoplay feature
24. The increase slideman slide graphic model


TadTools 2.5 (released on 2014-06-25)
====================================
 1. Two new preferences and scenery related (adjustable OpenID login menu of presentation and whether nail choose to live in the navigation bar)
 2. Add a new graphic slide common template in order to improve compatibility, and sets development for more choices
 3. Fix left_bottom.html and right_bottom.html common model, to avoid dislocation model.
 4. New cssmenu dropdown King announced the development of a common template to apply
 5. scenery of $ menu_var menu template variables and join the two parts of the Administrator menu User Menu
 6. Fixed get_menu_var.html function in part of the clash of issues (such as causing contact us module becomes blank)
 7. The new setting mechanism may freely choose whether to call the administrator, the user Menu
 8. Join Chinese file download path automatic coding set (Tainan flying Fan cloud host requested to "no.")
 9. Fixed $ TadUpFiles encounter situations subdirectories will be unable to download problems
10. amend the common model, Join Log logout function.
11. Update jquery to 1.11.1
12. Fixed mColorPicker.js Invalid syntax
13. Repair elFinder serious security vulnerabilities



TadTools 2.4 (released on 2014-05-17)
====================================
 1. In response to tad_theme new style setting function block, modify common template to support this feature.
 2. Re-optimized navigation bar syntax, the menu variable independently get_menu_var.html, making it more flexible and easier to manage applications.
 3. Slide the graphic variables independently get_slider_var.html, let slip to apply other graphic tools more convenient.
 The common model my_js.html Join Log box fields will be automatically resized to avoid breaking the version of the function
 5.CKEditor Added a simple edit mode
 6. Fixed Windows under the file name to download is not the right questions
 Unable to write to 7. Fixed problem importing drawing Caption
 8. Sliding Picture caption 80% of opacity to 50% and support IE8 (thank Sheng-Min teacher available), and cancel the font size setting
 9. New ztree tree tool
10. Fixing the tree form of bug boxes to move no effect
11. A common template to add extra set of array type support
12. New colorbox lightbox effect



TadTools 2.3 (released on 2014-05-02)
====================================
 1. To make amendments TadUpFiles explanation, without explanation places the file name instead.
 2. Add TadUpFiles Autoplay set the file time.
 3. Toolbar new module management tool, and graphically plus
 4. Fixed template to avoid when the user does not tad_themes module installation will cause the status of the system can not operate
 5. New mColorPicker Color Picker
 6. Upgrade JWPlayer 6.8 (solve Tad Player can not play movies on mobile phones problem)


TadTools 2.2 (released on 2014-04-09)
====================================
 1. Let scenery smarter, no left column or right column automatically fills forum
 2. Fixed TadUpFiles make certain windows when downloading the document name can not be downloaded right questions
 3. Fix TadUpFiles make sortable attachment order
 4.responsiveslides slide image and logo can support flash
 5. scenery a lot more pre-built templates
 6. New icon CSS font-awesome
 7. Add button CSS Buttons
 8. New iCheck radio check CSS
 9. default setting will be the nail in the top navigation bar
10. The amendment sets will produce a blank area of ​​a large number of circumstances at mobile devices
11. Correction model to enhance the compatibility of IE
12. Add "Are embed Quick Access to Login menu" preferences
13. New TinyNav adaptive Toolbar
14. The switch to the new version of the module toolbar, in addition to more beautiful, but there will be a better experience on your mobile device
15. remove fckeditor editor directory


TadTools 2.10 (released on 2014-03-13)
====================================
1. Add a specific page dedicated cross-functional
2. Composition label one more logo_position
3. common template, the navigation bar does not display the site name, instead display Home
4. Fixed common template title block does not appear round and was unable to repeat the title background image bug
5. Cancellation common template in HTML mode setting regional margin settings to avoid content is cropped.
6. Fixed two-column at the bottom right area, if the slide graphic canceled, the area below the bug will disappear


TadTools 2.09 (released on 2014-03-05)
====================================
1. The fine-tuning the toolbar, so as not to appear on the first page, only in the second page, in order to maintain beautiful pictures
2. Add automatically deleted easily rack installation file install_chk.php, in order to increase system security.
3. Fixed the same page if there are more than two responsiveslides sliding picture, there is only one functioning of bug
4. Modify TadUpFiles objects attached file correction can not read the correct drawing problems when called capital
5. fixed on the phone, pull-down menus invalid question
6. Quick Access into sets in

TadTools 2.08 (released on 2014-02-17)
====================================
1. trimming tree
2. Unable to drag and zoom the problem corrected tree form
3. Slide image correction responsiveslides.css canceled bottom margin gap.
4. New randStr (), please synchronized tadnews, tad_login, tad_uploader
5. Fixes Fixed problem responsiveslides not display textual content


TadTools 2.07 (released on 2014-01-25)
====================================
1. Update treeTable to version 3.1.0 to address some of the features and bootstrap clash problem.


TadTools 2.06 (released on 2014-01-20)
====================================
1. If the toolbar is only one back home, then automatically hide the toolbar.
2. New txt_to_group_name (), get_all_groups (), get_basename (), to_utf8 (), is_utf8 (), auto_charset () and other common functions.
3. Modify TadUpFiles object, so that it can also support the document name when importing files.

TadTools 2.05 (released on 2014-01-16)
====================================
1. Strengthen the PHP syntax, to avoid dismissal notification message wrong.
2. Close TadUpFiles of jQuery UI (to avoid affecting pda.php page)
3. Modify TadUpFiles makes it possible to upload CSV file
The common navigation bar crawl scenery added logo function diagram


TadTools 2.04 (released on 2014-01-02)
====================================
1. Remove FCK uploaded test page, and strengthen security
2. Copy the new file import method TadUpFiles import_one_file ();
3. The new setting common template file elements (for developers decorations)
3. Update ResponsiveSlides to version 1.54

TadTools 2.03 (released on 2013-12-19)
====================================
1. Modify TadUpFiles, added get_file_for_smarty () method
2. Modify TadUpFiles, amendments deleted, files can not be deleted entity bug
3. Add BSIE (contempt IE), limited lifting of bootstrap support for ie6

TadTools 2.02 (released on 2013-11-14)
====================================
1. strict mode for MySQL to make the best of
2. Modify TadUpFiles integration upload objects so that support various coding languages ​​and platforms, and to strengthen the efficiency of loading (avoid CPU spikes).
3. Add transcoding utility functions, so windows or linux can properly use the document name
4. Update the JW Player Player to version 6.7, and use the new JW Player object file

TadTools 2.01 (released on 2013-10-24)
====================================
1. Fixed iconize.css, add more format support
2. Modify JwPlayer players to make and support custom width.

TadTools 2.0 (released on 2013-10-16)
====================================
1. Update the bootstrap is 2.3.2, and the use of more complete bootstrap (bootstrap before have streamlined)
2. Adjust the background management interface module CSS, so that the table header row background and text color more clearly and solve most of the buttons see IE bug.
3. Add TadUpFiles integration upload objects
4. Update jquery.tinyMap to version 2.5.2
5. Remove plupload Kit
6. Add darkstrap, and sets new color (normal or dark) is set

TadTools 1.19 (released on 2013-07-29)
====================================
1. Since projekktor player no longer support youtube, so remove it.
2. Modify JwPlayer player, use HTML5 playback, and support for automatic width detection.
3. Modify phpWord, so that can be used \ n new line in the table.

TadTools 1.18 (released on 2013-07-01)
====================================
1. New jquery.sharrre-1.3.4 Tweets tool
2. phpExcel upgrade to version 1.7.9
3. Modify JwPlayer player settings, support for automatic detection of film width, height is automatically set to scale

TadTools 1.17 (released on 2013-06-06)
====================================
1. extract the common language file
2. Update Verification Suite 2.6 formValidator
3. Cancel PHP program of support for the general (Support only XOOPS)
4. New get_xoops_url () and get_xoops_path () two functions
5. Update CKEditor to version 4.1.1
6. Add oembed embed multimedia editing tools, such as device and mathematics CKEditor plug


TadTools 1.16 (released on 2013-05-24)
====================================
1. Amend the title text becomes white background form a problem
2. Modify the facebook message frame in the second layer of the directory site is not working properly
3. Fix lofslidernews sliding effect position bug (thanks promises, the book provides correction file).
4. Update class.upload.php 0.32
5. Under amendments MySQL ENGINE = MYISAM the index has more than 1000 bytes result can not be installed.
6. Add elrte editor for use on mobile devices.
7. elFinder independent, for CKEditor and elrte Editor
8. Blank slide downward correction ResponsiveSlides problem of excessive
9. Correction Editor language may vary with XOOPS Languages
10. Fixed CKEdit the "Upload" button failure problem
11. The editor does not support xlanguage solve problems

TadTools 1.15 (released on 2013-05-08)
====================================
1. Add fancyBox responsive tool boxes
2. bootstrap the 2.3.1 update, and remove navbar related settings inside out in order to avoid the effects of the original bootstrap settings.
3. Add tadtools scenery whether he wishes to use additional bootstrap settings.
4. The modular architecture tadtools changed XOOPS 2.5.5

TadTools 1.14 (released on 2013-03-03)
====================================
1. Update projekktor Player to version 1.2.19r188, playing Toolbar does not automatically solve the problem emerge
2. New footable Responsive Table Tools
3. Add PHPWord word file generation thing
The amendments even if there are pages from FB comment block to the message, the message could not be displayed issue.


TadTools 1.13 (released on 2012-12-17)
====================================
1. Adjust facebook message box width 100%
2. Add projekktor free software player
3. Add phpExcel 1.7.8 Excel object (with report generation)
4. Add fpdf make PDF objects
5. Add jquery.raty-2.4.5 score Kits


TadTools 1.12 (released on 2012-11-23)
====================================
1. Add flexslider response sliding tool
2. Add ResponsiveSlides response sliding tool
3. Remove fckeditor switch ckeditor 3.6.5 (because fckeditor not work in firfox 17)


TadTools 1.11 (released on 2012-10-15)
====================================
1. After cancel Google API key station Preferences
2. After cancellations facebook station Preferences
3. Update jquery to version 1.8.2
4. Update jquery-ui to version 1.9.0
5. Add jquery-mobile 1.2.0 version
6. The update introduces jquery function uses the Google API mode versions update to jquery 1.8.2 version and jqueryui 1.8.23
7. Remove jquery.qrcode PHP mode switch generated drawing to solve Most browsers can not see the correct QR Code issues, and you can use it on FB.
8. Update fb message box grammar, so that the width can be automatically enlarged to full screen
9. Update paging tool that displays more correctly, does not accumulate a bunch g2p parameters
10. Update the multiple-file-upload 1.48
11. Update FCKeditor to version 2.6.8
12. Modify Page Styles
13. Join bootstrap 2.1.1


TadTools 1.10 (released on 2012-7-14)
====================================
1. Cancel the google API key of Preferences
2.jquery preset in local mode of operation
3. Add TinyMap2.23 Map Tools
The update introduces jquery function uses the Google API mode versions update to jquery 1.7.2 and jqueryui 1.8.21


TadTools 1.9 (released on 2012-06-12)
====================================
1. Update FCKeditor to version 2.6.7
2. Update KCFinder to version 2.5.1
3. Update class.upload.php to version 3.1
4. JW Player update to version 5.9
5. Update jquery to version 1.7.2
6. Update jquery-ui to version 1.8.20
7. New lofslidernews Tools

TadTools 1.8 (released on 2011-12-29)
====================================
1. Update the JW Player objects, correction playlist display problems.
2. More Tweets tool change using AddThis service.
3. Add the JW Player HD support

TadTools 1.7 (released on 2011-12-08)
====================================
1. Fixed Tweets tool display problems in IE.
2. JW Player update to version 5.8, and support ipad other devices.
3. The tree forms a slight modification function.
4. Add high brightness syntax support.
5. Add the handheld device to determine the function.
6. Add QR Code function

TadTools 1.6 (released on 2011-11-12)
====================================
1. Update jw player to version 5.6
2. Update Verification Suite formValidator 1.4 2.2
3. Fix chk2 () function
4. Update jquery version 1.6.4, jquery ui version 1.8.16
5. jquery usage patterns added preferences in order to be set from the background
6. Improving the local side jquery duplicate Loading issues
7. fck editor added support for high-brightness
8. Modify tweets tool, join Google+


TadTools 1.5 (released on 2011-03-24)
====================================
1. Adjust jw player 5.3 object
2. Add a table of jquery tree treeTable
3. Add boxes, sorting function
4. Add bubblepopup Tip Kit
5. push_url added $ css parameters, customizable toolbar position tweets
6. Fixed chk2 () function error issue
7. Strengthening paging feature article
8. added automatically transferred Quick autolink () function
9. Add jquery cookie
10. New formValidator form validation tool
11. A new message function facebook

TadTools 1.4 (released on 2010-11-25)
====================================
1. Add Jupload upload java applet
2. Adjust jw player 5.3 object
3. Add rrmdir remove a directory tree function

TadTools 1.3 (released on 2010-11-16)
====================================
1. Cancel jBreadCrumb path tool white background
2. Avoid introducing problem repeat function
3. imported functions independent jquery

TadTools 1.2 (released on 2010-11-04)
====================================
1. Add background menu function admin_toolbar ()
2. Add a horizontal path tool jBreadCrumb
3. Add movie playback kit jw player 5.3
The amendments introduced mainfile.php path
5. Add obtain jquery function get_jquery ()
6. Add jeditable, click Edit function


TadTools 1.1 (released on 2010-10-05)
====================================
1. Add jquerychained linked menu Kit
2. Add FCK editor KCFinder kit.
3. FCK editor added "reduce indent" and "unlink" button, and open the tab key function


TadTools 1.0 (released on 2010-10-05)
====================================
1. FCKeditor 2.6.4 WYSIWYG editor
2. dtree tree kit
3. Jquery 1.4.2 and Jquery UI 1.8.4
4. lytebox Lightbox effect Kits
5. multiple-file-upload multiple files to upload Kits
6. My97DatePicker Calendar Kit
7. upload Upload Kit
8. tad_function.php commonly used functions file
